Package com.google.gwt.user.cellview.client

## Interface CellBrowser.Style

- All Superinterfaces:
    `CssResource`, `CssResourceBase`, `ResourcePrototype`
  Enclosing class:
    CellBrowser

      @ImportedWithPrefix("gwt-CellBrowser")
      public static interface CellBrowser.Style
      extends CssResource

  Styles used by this widget.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.google.gwt.resources.client.CssResource

      `CssResource.ClassName, CssResource.Import, CssResource.ImportedWithPrefix, CssResource.NotStrict, CssResource.Shared, CssResource.Strict`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `DEFAULT_CSS` | The path to the default CSS styles used by this resource.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `cellBrowserColumn()` | Applied to all columns.
    `java.lang.String` | `cellBrowserEvenItem()` | Applied to even list items.
    `java.lang.String` | `cellBrowserFirstColumn()` | Applied to the first column.
    `java.lang.String` | `cellBrowserKeyboardSelectedItem()` | Applied to keyboard selected items.
    `java.lang.String` | `cellBrowserOddItem()` | Applied to odd list items.
    `java.lang.String` | `cellBrowserOpenItem()` | Applied to open items.
    `java.lang.String` | `cellBrowserSelectedItem()` | Applied to selected items.
    `java.lang.String` | `cellBrowserWidget()` | Applied to the widget.

    - ### Methods inherited from interface com.google.gwt.resources.client.CssResource

      `ensureInjected, getText`

    - ### Methods inherited from interface com.google.gwt.resources.client.ResourcePrototype

      `getName`

- - ### Field Detail

    - #### DEFAULT_CSS

          static final java.lang.String DEFAULT_CSS

      The path to the default CSS styles used by this resource.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### cellBrowserColumn

          java.lang.String cellBrowserColumn()

      Applied to all columns.

    - #### cellBrowserEvenItem

          java.lang.String cellBrowserEvenItem()

      Applied to even list items.

    - #### cellBrowserFirstColumn

          java.lang.String cellBrowserFirstColumn()

      Applied to the first column.

    - #### cellBrowserKeyboardSelectedItem

          java.lang.String cellBrowserKeyboardSelectedItem()

      Applied to keyboard selected items.

    - #### cellBrowserOddItem

          java.lang.String cellBrowserOddItem()

      Applied to odd list items.

    - #### cellBrowserOpenItem

          java.lang.String cellBrowserOpenItem()

      Applied to open items.

    - #### cellBrowserSelectedItem

          java.lang.String cellBrowserSelectedItem()

      Applied to selected items.

    - #### cellBrowserWidget

          java.lang.String cellBrowserWidget()

      Applied to the widget.